Index: code/branches/cegui0.8/data/gui/schemes/SleekSpaceLook.scheme
===================================================================
--- code/branches/cegui0.8/data/gui/schemes/SleekSpaceLook.scheme	(revision 11110)
+++ code/branches/cegui0.8/data/gui/schemes/SleekSpaceLook.scheme	(revision 11118)
@@ -1,61 +1,55 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="SleekSpaceLook">
-    <Imageset Name="SleekSpace" Filename="SleekSpace.imageset" />
-    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="SleekSpace.looknfeel" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="SleekSpace/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="SleekSpace/StaticImage" />
-    <FalagardMapping WindowType="SleekSpace/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="SleekSpace/StaticText" />
-    <FalagardMapping WindowType="SleekSpace/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="SleekSpace/Checkbox" />
-    <FalagardMapping WindowType="SleekSpace/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="SleekSpace/Combobox" />
-    <FalagardMapping WindowType="SleekSpace/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="SleekSpace/ComboDropList" />
-    <FalagardMapping WindowType="SleekSpace/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="SleekSpace/ComboEditbox" />
-    <FalagardMapping WindowType="SleekSpace/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="SleekSpace/Editbox" />
-    <FalagardMapping WindowType="SleekSpace/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="SleekSpace/FrameWindow" />
-    <FalagardMapping WindowType="SleekSpace/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="SleekSpace/Listbox" />
-    <FalagardMapping WindowType="SleekSpace/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="SleekSpace/ListHeader" />
-    <FalagardMapping WindowType="SleekSpace/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="SleekSpace/ListHeaderSegment" />
-    <FalagardMapping WindowType="SleekSpace/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="SleekSpace/MultiLineEditbox" />
-    <FalagardMapping WindowType="SleekSpace/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="SleekSpace/Menubar" />
-    <FalagardMapping WindowType="SleekSpace/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="SleekSpace/MenuItem" />
-    <FalagardMapping WindowType="SleekSpace/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="SleekSpace/MultiColumnList" />
-    <FalagardMapping WindowType="SleekSpace/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="SleekSpace/PopupMenu" />
-    <FalagardMapping WindowType="SleekSpace/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/ProgressBar" />
-    <FalagardMapping WindowType="SleekSpace/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="SleekSpace/Button" />
-    <FalagardMapping WindowType="SleekSpace/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="SleekSpace/RadioButton" />
-    <FalagardMapping WindowType="SleekSpace/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="SleekSpace/Button" />
-    <FalagardMapping WindowType="SleekSpace/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="SleekSpace/ScrollablePane" />
-    <FalagardMapping WindowType="SleekSpace/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/HorizontalScrollbar" />
-    <FalagardMapping WindowType="SleekSpace/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/VerticalScrollbar" />
-    <FalagardMapping WindowType="SleekSpace/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="SleekSpace/Slider" />
-    <FalagardMapping WindowType="SleekSpace/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="SleekSpace/Spinner" />
-    <FalagardMapping WindowType="SleekSpace/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="SleekSpace/TabButton" />
-    <FalagardMapping WindowType="SleekSpace/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="SleekSpace/TabControl" />
-    <FalagardMapping WindowType="SleekSpace/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="SleekSpace/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/SliderThumb" />
-    <FalagardMapping WindowType="SleekSpace/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="SleekSpace/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="SleekSpace/Titlebar" />
-    <FalagardMapping WindowType="SleekSpace/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="SleekSpace/Tooltip" />
-    
-    <!-- Missing widgets (using Taharez LookNFeel) -->
-    <FalagardMapping WindowType="SleekSpace/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
-    <FalagardMapping WindowType="SleekSpace/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
-    <FalagardMapping WindowType="SleekSpace/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
-    <FalagardMapping WindowType="SleekSpace/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
-    <FalagardMapping WindowType="SleekSpace/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
-    <FalagardMapping WindowType="SleekSpace/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="SleekSpace/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="SleekSpace/TabPane"                     TargetType="DefaultWindow"           Renderer="Falagard/TabPane"           LookNFeel="SleekSpace/TabPane" />
-    <FalagardMapping WindowType="SleekSpace/ReticleWindow"               TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="SleekSpace/ReticleWindow" />
-    <FalagardMapping WindowType="SleekSpace/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/AltProgressBar" />
-    <FalagardMapping WindowType="SleekSpace/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="SleekSpace/VUMeter" />
-    <FalagardMapping WindowType="SleekSpace/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="SleekSpace/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="SleekSpace/VSlider"                     TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="SleekSpace/VSlider" />
-    <FalagardMapping WindowType="SleekSpace/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/LargeVerticalScrollbarThumb" />
-    <FalagardMapping WindowType="SleekSpace/VSliderThumb"                TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="SleekSpace/VSliderThumb" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="SleekSpaceLook" version="5">
+    <Imageset filename="SleekSpace.imageset" name="SleekSpace" />
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="SleekSpace.looknfeel" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="SleekSpace/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="SleekSpace/StaticImage" />
+    <FalagardMapping lookNFeel="SleekSpace/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="SleekSpace/StaticText" />
+    <FalagardMapping lookNFeel="SleekSpace/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="SleekSpace/Checkbox" />
+    <FalagardMapping lookNFeel="SleekSpace/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="SleekSpace/Combobox" />
+    <FalagardMapping lookNFeel="SleekSpace/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="SleekSpace/ComboDropList" />
+    <FalagardMapping lookNFeel="SleekSpace/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="SleekSpace/ComboEditbox" />
+    <FalagardMapping lookNFeel="SleekSpace/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="SleekSpace/Editbox" />
+    <FalagardMapping lookNFeel="SleekSpace/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="SleekSpace/FrameWindow" />
+    <FalagardMapping lookNFeel="SleekSpace/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="SleekSpace/Listbox" />
+    <FalagardMapping lookNFeel="SleekSpace/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="SleekSpace/ListHeader" />
+    <FalagardMapping lookNFeel="SleekSpace/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="SleekSpace/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="SleekSpace/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="SleekSpace/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="SleekSpace/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="SleekSpace/Menubar" />
+    <FalagardMapping lookNFeel="SleekSpace/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="SleekSpace/MenuItem" />
+    <FalagardMapping lookNFeel="SleekSpace/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="SleekSpace/MultiColumnList" />
+    <FalagardMapping lookNFeel="SleekSpace/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="SleekSpace/PopupMenu" />
+    <FalagardMapping lookNFeel="SleekSpace/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="SleekSpace/ProgressBar" />
+    <FalagardMapping lookNFeel="SleekSpace/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="SleekSpace/Button" />
+    <FalagardMapping lookNFeel="SleekSpace/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="SleekSpace/RadioButton" />
+    <FalagardMapping lookNFeel="SleekSpace/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="SleekSpace/SystemButton" />
+    <FalagardMapping lookNFeel="SleekSpace/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="SleekSpace/ScrollablePane" />
+    <FalagardMapping lookNFeel="SleekSpace/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="SleekSpace/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="SleekSpace/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="SleekSpace/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="SleekSpace/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="SleekSpace/Slider" />
+    <FalagardMapping lookNFeel="SleekSpace/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="SleekSpace/Spinner" />
+    <FalagardMapping lookNFeel="SleekSpace/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="SleekSpace/TabButton" />
+    <FalagardMapping lookNFeel="SleekSpace/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="SleekSpace/TabControl" />
+    <FalagardMapping lookNFeel="SleekSpace/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="SleekSpace/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="SleekSpace/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="SleekSpace/SliderThumb" />
+    <FalagardMapping lookNFeel="SleekSpace/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="SleekSpace/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="SleekSpace/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="SleekSpace/Titlebar" />
+    <FalagardMapping lookNFeel="SleekSpace/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="SleekSpace/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="SleekSpace/TabButtonPane" />
+    <FalagardMapping lookNFeel="TaharezLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="SleekSpace/TabContentPane" />
+    <FalagardMapping lookNFeel="TaharezLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="SleekSpace/GroupBox" />
+    <FalagardMapping lookNFeel="TaharezLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="SleekSpace/ListboxItem" />
+    <FalagardMapping lookNFeel="TaharezLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="SleekSpace/ItemListbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="SleekSpace/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="SleekSpace/Tree" />
+    <FalagardMapping lookNFeel="SleekSpace/TabPane" renderer="Core/TabPane" targetType="DefaultWindow" windowType="SleekSpace/TabPane" />
+    <FalagardMapping lookNFeel="SleekSpace/ReticleWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="SleekSpace/ReticleWindow" />
+    <FalagardMapping lookNFeel="SleekSpace/AltProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="SleekSpace/AlternateProgressBar" />
+    <FalagardMapping lookNFeel="SleekSpace/VUMeter" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="SleekSpace/VUMeter" />
+    <FalagardMapping lookNFeel="SleekSpace/LargeVerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="SleekSpace/LargeVerticalScrollbar" />
+    <FalagardMapping lookNFeel="SleekSpace/VSlider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="SleekSpace/VSlider" />
+    <FalagardMapping lookNFeel="SleekSpace/LargeVerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="SleekSpace/LargeVerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="SleekSpace/VSliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="SleekSpace/VSliderThumb" />
 </GUIScheme>
